Ruby On Rails: Error on rake db:migrate

I am pretty new to rails environment. I am learning it from Pluralsight's Ruby on rails for .Net Development: I am trying to run rake db:migrate and getting the following error:

D:\Rails\MyBlog>rake db:migrate
rake aborted!
126: The specified module could not be found.   - C:/RailsInstaller/Ruby1.9.3/li
b/ruby/gems/1.9.1/gems/mysql2-0.3.11-x86-mingw32/lib/mysql2/1.9/mysql2.so
D:/Rails/MyBlog/config/application.rb:7:in `<top (required)>'
D:/Rails/MyBlog/Rakefile:4:in `<top (required)>'
(See full trace by running task with --trace)

The only difference between the course I am learning and my implementation is that I am using MySql and the course uses SQL Server 2008.

What could be the reason behind the error? Any Help?

Answers


try

bundle install

That, you've probably done.

After that, go Here


Need Your Help

rails arguments to after_save observer

ruby-on-rails activerecord observer-pattern

I want users to enter a comma-delimited list of logins on the form, to be notified by email when a new comment/post is created. I don't want to store this list in the database so I would use a

Swift function to find first element of collection matching a predicate?

swift collections

If xs is a collection and pred is a closure that returns a Bool, is there a built-in function that does the following?